## gridsite 3.0.0~20230214gitee81151

=== src/Makefile ===
#
#   Andrew McNab and Shiv Kaushal, University of Manchester.
#   Copyright (c) 2002-7. All rights reserved.
#
#   Redistribution and use in source and binary forms, with or
#   without modification, are permitted provided that the following
#   conditions are met:
#
#     o Redistributions of source code must retain the above
#       copyright notice, this list of conditions and the following
#       disclaimer. 
#     o Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials
#       provided with the distribution. 
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
#   CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
#   INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
#   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
#   BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
#   TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
#   ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
#   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#   POSSIBILITY OF SUCH DAMAGE.
#
#---------------------------------------------------------------
# For more information about GridSite: http://www.gridsite.org/ 
#---------------------------------------------------------------

include ../VERSION

RPMCMD=$(shell if [ -x /usr/bin/rpmbuild ] ; then echo /usr/bin/rpmbuild; else echo rpm; fi)

ifndef MYRPMDIR
export MYRPMDIR=$(shell pwd)/../RPMTMP
endif

ifndef prefix
export prefix=/usr/local
endif

ifndef libdir
export libdir=lib
endif

ifndef httpd_name
export httpd_name=httpd
endif

CURL_CFLAGS=`curl-config --cflags`
CURL_LIBS=`curl-config --libs`
XML2_CFLAGS=`pkg-config libxml-2.0 --cflags`
XML2_LIBS=`pkg-config libxml-2.0 --libs`
HTTPD_FLAGS=-I/usr/include/httpd -I/usr/include/apache2 -I/usr/include/apr-0 -I/usr/include/apr-1 -I/usr/include/apr-1.0
GSOAP_CFLAGS=`pkg-config gsoap --cflags`
GSOAP_LIBS=`pkg-config gsoap --libs`
GSOAPSSL_CFLAGS=`pkg-config gsoapssl --cflags`
GSOAPSSL_LIBS=`pkg-config gsoapssl --libs`
CANL_C_CFLAGS=
CANL_C_LIBS=-lcanl_c

ifndef MYCFLAGS
export MYCFLAGS=-I. -I../interface -DPIC -fPIC -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE $(HTTPD_FLAGS)
endif

ifndef MYLDFLAGS
export MYLDFLAGS=-L.
endif

-include Makefile.inc

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
#

# counted minors: 2.3 (1.7, 1.5)
offset=3

version_info:=-version-info $(shell \
	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+$(offset),$$F[2],$$F[1]' )

PC_FILES=gridsite-openssl.pc
TARBALL=../gridsite-$(PATCH_VERSION).src.tar.gz

# caNl adoption part
# caNl library and headers have to be in standard system places.
GRST_X509_OBJS=grst_canl_x509.lo
MOD_GRIDSITE_FILE=canl_mod_gridsite.c
MOD_SSLPRIVATE_HEADER=canl_mod_ssl-private.h
MYCANLLDFLAGS=$(CANL_C_LIBS)

# Print all warnings
ifeq ($(WALL),yes)
MYCFLAGS += -Wall
endif

CFLAGS=-g -O2

CC=gcc
COMPILE=libtool --mode=compile $(CC) $(CFLAGS)
LINK=libtool --mode=link $(CC) $(LDFLAGS)
INSTALL=libtool --mode=install install

GRIDSITE_OBJS=grst_err.lo $(GRST_X509_OBJS) grst_gacl.lo grst_xacml.lo grst_http.lo grst_asn1.lo grst_htcp.lo
GRIDSITE_NOSSL_OBJS=grst_err_nossl.lo grst_gacl_nossl.lo grst_http_nossl.lo grst_xacml_nossl.lo grst_htcp_nossl.lo

#
# Build
#

build: apidoc build-lib htcp mod_gridsite.so urlencode findproxyfile \
       real-gridsite-admin.cgi gridsite-delegation.cgi htproxyput

build-lib: libgridsite_globus.la libgridsite_globus.a \
           libgridsite.la libgridsite.a \
           libgridsite_nossl.la libgridsite_nossl.a $(PC_FILES)

# First, normal versions using system OpenSSL rather than Globus OpenSSL

libgridsite.a: libgridsite.la

libgridsite.la: $(GRIDSITE_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
          -o $@ $+ -lssl -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS) -lpthread

grst_err.lo: grst_err.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
	    -I/usr/kerberos/include \
	    -c $< -o $@

grst_canl_x509.lo: grst_canl_x509.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(CANL_C_CFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_gacl.lo: grst_gacl.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_xacml.lo: grst_xacml.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_http.lo: grst_http.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
                        -I/usr/kerberos/include -c $< -o $@

grst_asn1.lo: grst_asn1.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_htcp.lo: grst_htcp.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

# globus soname for compatibility
libgridsite_globus.a: libgridsite_globus.la

libgridsite_globus.la: $(GRIDSITE_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
         -o $@ $+ -lssl -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS) -lpthread

# then build versions without OpenSSL

libgridsite_nossl.a: libgridsite_nossl.la

libgridsite_nossl.la: $(GRIDSITE_NOSSL_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
	  -o $@ $+ $(XML2_LIBS)

grst_err_nossl.lo: grst_err.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
	    -I/usr/kerberos/include -c $< -o $@

grst_gacl_nossl.lo: grst_gacl.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_xacml_nossl.lo: grst_xacml.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_http_nossl.lo: grst_http.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c $< -o $@

grst_htcp_nossl.lo: grst_htcp.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c $< -o $@

# now the binary exectuables

gsexec.lo urlencode.lo gridsite-copy.lo findproxyfile.lo showx509exts.lo test-chain.lo:
	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o $@ -c $(subst .lo,.c,$@)

htcp.lo:
	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o $@ -c $(subst .lo,.c,$@) $(CURL_CFLAGS)

slashgrid.lo: slashgrid.c
	$(COMPILE) -o $@ -c $< $(MYCFLAGS) $(XML2_CFLAGS) -D_FILE_OFFSET_BITS=64 \
          -D_REENTRANT -DFUSE_USE_VERSION=22 -I/usr/kerberos/include \
          $(CURL_CFLAGS)

gsexec:	gsexec.lo gsexec.h
	$(LINK) $< -o $@

urlencode: urlencode.lo libgridsite.la
	$(LINK) -o $@ $< -L. -lgridsite

htcp: htcp.lo libgridsite.la
	$(LINK) -o $@ $+ $(CURL_LIBS)

test-chain: test-chain.lo libgridsite.la
	$(LINK) -o $@ $< -L. -lgridsite -static

htcp-static: htcp.lo libgridsite.a
	$(LINK) -o $@ -L. $< \
	    -I/usr/kerberos/include \
            $(CURL_LIBS) -static -lgridsite

gridsite-copy.cgi: gridsite-copy.lo libgridsite.la
	$(LINK) -o $@ $< -L. $(CURL_LIBS) $(MYFCGILIBS) -lgridsite

mod_gridsite.so: $(MOD_GRIDSITE_FILE) $(MOD_SSLPRIVATE_HEADER) \
                 libgridsite.la
	$(CC) $(CFLAGS) $(MYCFLAGS) $(CANL_C_CFLAGS) $(LDFLAGS) \
           -shared -Wl,-soname=gridsite_module \
           -I/usr/kerberos/include \
           $(XML2_CFLAGS) -lssl -lcrypto $(MYCANLLDFLAGS) \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
           $(MOD_GRIDSITE_FILE) -L./.libs -lgridsite

mod_gridsite_example.so: mod_gridsite_example.c 
	$(CC) $(CFLAGS) $(LDFLAGS) \
           -shared -Wl,-soname=gridsite_example_module \
           -fPIC $(HTTPD_FLAGS) \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite_example.so \
           mod_gridsite_example.c 

grst_admin_main.lo grst_admin_gacl.lo grst_admin_file.lo:
	$(COMPILE) $(MYCFLAGS) -I/usr/kerberos/include \
          -DVERSION=\"$(VERSION)\" -o $@ -c $(subst .lo,.c,$@)

real-gridsite-admin.cgi: grst_admin_main.lo grst_admin_gacl.lo \
                         grst_admin_file.lo grst_admin.h
	$(LINK) $(MYLDFLAGS) -o real-gridsite-admin.cgi \
            grst_admin_main.lo \
            grst_admin_gacl.lo \
            grst_admin_file.lo \
            -lgridsite

findproxyfile: findproxyfile.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) \
            -o $@ $< -L. -lgridsite

showx509exts: showx509exts.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) \
            -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm

slashgrid: slashgrid.lo libgridsite.la
	$(LINK) $< -o $@ -lfuse $(MYLDFLAGS) \
          -L. $(CURL_LIBS) -lgridsite -lpthread

# This target is used by make-gridsite-spec to test for FUSE include+libs
fuse-test: fuse-test.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ -lfuse fuse-test.c \
          $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
          -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22

apidoc:
	date
	doxygen Doxyfile
	mkdir -p ../doc/doxygen
	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
          > $$i.html ; done

gaclexample.lo xacmlexample.lo: gaclexample.c xacmlexample.c
	$(COMPILE) -c $(subst .lo,.c,$@) -o $@ -I../interface \
          -I/usr/kerberos/include

gaclexample: gaclexample.lo libgridsite.la
	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm

xacmlexample: xacmlexample.lo libgridsite.a
	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
#
# Delegation machinery, including SOAP delegation portType. To build this
# you either need to use the gLite build environment and set REPOSITORY
# or install gSOAP and set GSOAPDIR to the directory containing
# soapcpp2 and stdsoap2.h (unless GSOAPDIR is set already)
#

ifndef GSOAPDIR
 export GSOAPDIR=/usr
endif

ifndef GRIDSITEDIR
 export GRIDSITEDIR=/usr
endif


DelegationSoapBinding.wsdl: delegation.h
	$(GSOAPDIR)/bin/soapcpp2 -c delegation.h

gridsite-delegation.cgi: grst-delegation.c delegation.h \
                         DelegationSoapBinding.wsdl libgridsite.la
	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) $(MYLDFLAGS) -o $@ \
            grst-delegation.c \
            -I/usr/kerberos/include -I. $(GSOAP_CFLAGS) \
            -DVERSION=\"$(VERSION)\" -L./.libs \
            soapC.c soapServer.c \
            $(GSOAP_LIBS) -lgridsite

htproxyput: htproxyput.c delegation.h DelegationSoapBinding.wsdl libgridsite.la
	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) $(MYLDFLAGS) -o $@ \
            htproxyput.c \
            -I/usr/kerberos/include -I. \
            -DVERSION=\"$(VERSION)\" \
            $(GSOAPSSL_CFLAGS) \
            -L./.libs \
            $(STDSOAP2) \
            soapC.c soapClient.c $(GSOAPSSL_LIBS) \
            -lgridsite -lssl -lcrypto

# This target is used by make-gridsite-spec to test for gSOAP include+libs
gsoap-test: gsoap-test.c 
	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) $(MYLDFLAGS) -o $@ \
            gsoap-test.c \
            -I/usr/kerberos/include -I. \
            -DVERSION=\"$(VERSION)\" \
            $(GSOAPSSL_CFLAGS) \
            $(STDSOAP2) \
            $(GSOAPSSL_LIBS) -lz -lssl -lcrypto $(XML2_LIBS) -lm

gridsite-storage.lo: gridsite-storage.c
	$(COMPILE) -o $@ -c $<  $(MYCFLAGS) \
            -I/usr/kerberos/include -I.\
            -DVERSION=\"$(VERSION)\" -L. \
            $(CURL_CFLAGS)

gridsite-storage.cgi: gridsite-storage.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) -o $@ $< \
            -lgridsite $(CURL_LIBS)

%.pc: %.pc.in

=== debian/changelog ===
gridsite (3.0.0~20230214gitee81151-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:18:53 +0000

gridsite (3.0.0~20230214gitee81151-1.1build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:25:02 +0000

gridsite (3.0.0~20230214gitee81151-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:08:36 +0000

gridsite (3.0.0~20230214gitee81151-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062128

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 00:24:35 +0000

gridsite (3.0.0~20230214gitee81151-1) unstable; urgency=medium

  * New development snapshot
  * Change to debhelper compat level 13
  * Remove obsolete maintscript entries
  * Remove override_dh_strip rule (completed debug symbol migration)
  * Remove override_dh_missing rule (--fail-missing is default)
  * Update lintian overrides
  * Drop patch gridsite-no-xml2-config.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 02 Mar 2023 18:56:31 +0100

=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper (>= 13),
 apache2-dev (>= 2.4),
 libxml2-dev,
 libcurl4-openssl-dev,
 apache2-ssl-dev (>= 2.4.27-3~),
 libcanl-c-dev (>= 3.0.0),
 zlib1g-dev,
 gsoap,
 libgsoap-dev,
 libtool,
 libtool-bin,
 doxygen,
 sharutils,
 dh-apache2,
 pkg-config
Standards-Version: 4.6.2
Homepage: https://github.com/CESNET/gridsite
Vcs-Git: https://salsa.debian.org/ellert/gridsite.git
Vcs-Browser: https://salsa.debian.org/ellert/gridsite

Package: gridsite
Architecture: any
Multi-Arch: foreign
Depends:
 libgridsite6t64 (= ${binary:Version}),
 apache2-bin (>= 2.4),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains Apache httpd modules for enabling
 mod_gridsite.

Package: libgridsite6t64
Provides: ${t64:Provides}
Replaces: libgridsite6
Breaks: libgridsite6 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Multi-Arch: foreign
Depends:
 libgridsite6t64 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: libgridsite-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libgridsite6t64 (= ${binary:Version}),
 ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with apache2

override_dh_auto_build:
	cd src && \
	$(MAKE) build prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH) \
	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	cd src && \
	$(MAKE) clean

	rm -rf doc/doxygen
	rm -f doc/*.1.html
	rm -f doc/*.8.html
	rm -f src/doxygen_sqlite3.db

override_dh_auto_install:
	cd src && \
	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) \
		prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH)

	# Change cgi scripts location
	mkdir -m 0755 -p $(INSTALLDIR)/usr/lib/gridsite/cgi-bin
	mv $(INSTALLDIR)/usr/sbin/*.cgi \
	   $(INSTALLDIR)/usr/lib/gridsite/cgi-bin
	rmdir $(INSTALLDIR)/usr/sbin

	# Let dh_apache2 handle module installation
	rm -rf $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/httpd

	# Let debhelper do the compression
	gunzip $(INSTALLDIR)/usr/share/man/man*/*

	# This is not really useful
	rm $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libgridsite_globus.*
	rm $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libgridsite_nossl.*

	# Remove these - docs are installed using the debian/*.docs files
	rm -rf $(INSTALLDIR)/usr/share/doc

	# Set up root area to serve files from
	mkdir -m 0755 -p $(INSTALLDIR)/var/lib/gridsite
	mkdir -m 0755 -p $(INSTALLDIR)/etc/gridsite
	install -m 0644 debian/gridsitehead.txt \
	   $(INSTALLDIR)/etc/gridsite/gridsitehead.txt
	install -m 0644 debian/gridsitefoot.txt \
	   $(INSTALLDIR)/etc/gridsite/gridsitefoot.txt
	install -m 0644 debian/root-level.gacl \
	   $(INSTALLDIR)/etc/gridsite/.gacl

	mkdir -m 0755 -p $(INSTALLDIR)/etc/grid-security/dn-lists
	mkdir -m 0755 -p $(INSTALLDIR)/etc/grid-security/vomsdir
	mkdir -m 0755 -p $(INSTALLDIR)/var/cache/mod_gridsite

	mkdir -m 0755 -p $(INSTALLDIR)/usr/share/apache2/icons
	uudecode -o $(INSTALLDIR)/usr/share/apache2/icons/gridsitelogo.png \
	   debian/gridsitelogo.png.uu

	chown www-data.www-data \
	  $(INSTALLDIR)/var/lib/gridsite \
	  $(INSTALLDIR)/etc/gridsite/.gacl \
	  $(INSTALLDIR)/etc/gridsite/gridsitehead.txt \
	  $(INSTALLDIR)/etc/gridsite/gridsitefoot.txt \
	  $(INSTALLDIR)/etc/grid-security/dn-lists \
	  $(INSTALLDIR)/var/cache/mod_gridsite

override_dh_fixperms:
	dh_fixperms -a -X var/lib/gridsite -X etc/gridsite \
		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists

## gridsite 3.0.0~20240125git1200598

=== debian/changelog ===
gridsite (3.0.0~20240125git1200598-1.1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:05:57 +0200

gridsite (3.0.0~20240125git1200598-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089340)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 19:16:54 +0000

gridsite (3.0.0~20240125git1200598-1) unstable; urgency=medium

  * New development snapshot
  * Enable bind-now hardening

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 23 Mar 2024 14:37:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gridsite
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper (>= 13),
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  apache2-dev (>= 2.4),
  libxml2-dev,
  libcurl4-openssl-dev,
@@ -18,7 +18,8 @@
  doxygen,
  sharutils,
  dh-apache2,
- pkg-config
+ pkgconf
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.6.2
 Homepage: https://github.com/CESNET/gridsite
 Vcs-Git: https://salsa.debian.org/ellert/gridsite.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -62,7 +64,7 @@
 	uudecode -o $(INSTALLDIR)/usr/share/apache2/icons/gridsitelogo.png \
 	   debian/gridsitelogo.png.uu
 
-	chown www-data.www-data \
+	chown www-data:www-data \
 	  $(INSTALLDIR)/var/lib/gridsite \
 	  $(INSTALLDIR)/etc/gridsite/.gacl \
 	  $(INSTALLDIR)/etc/gridsite/gridsitehead.txt \
